/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCTB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_TEMPLATE_TAXTYPE') 
 CREATE TABLE T_TCTB_TEMPLATE_TAXTYPE (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID VARCHAR(18) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_DATASOURCE_CONFIGS') 
 CREATE TABLE T_TCTB_DATASOURCE_CONFIGS (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSERORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXTYPE VARCHAR(500) DEFAULT ' ' NOT NULL,
FENTITYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBENTITYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(500) DEFAULT ' ' NOT NULL,
FISCHILD CHAR(1) DEFAULT ' ' NOT NULL,
FCONDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FISSYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_DATASOURCE_CONFIGS_L') 
 CREATE TABLE T_TCTB_DATASOURCE_CONFIGS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_DATASOURCE_ENTRY') 
 CREATE TABLE T_TCTB_DATASOURCE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUBNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSUBNAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FISAMOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FWHERESTATE CHAR(1) DEFAULT ' ' NOT NULL,
FORGSTATE CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATE CHAR(1) DEFAULT ' ' NOT NULL,
FYEARSTATE CHAR(1) DEFAULT ' ' NOT NULL,
FMONTHSTATE CHAR(1) DEFAULT ' ' NOT NULL,
FELEMENTWHERE CHAR(1) DEFAULT ' ' NOT NULL,
FINSPECTIONSHOWFIELD CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRICE VARCHAR(500) DEFAULT ' ' NOT NULL,
FSTATE CHAR(1) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCTB_table.sql **/
